Package tigase.xmpp.impl

# Enum Class JabberIqPrivacy.ITEM_TYPE

java.lang.Object
java.lang.Enum<JabberIqPrivacy.ITEM_TYPE>
tigase.xmpp.impl.JabberIqPrivacy.ITEM_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<JabberIqPrivacy.ITEM_TYPE>`, `Constable`

Enclosing class:
  JabberIqPrivacy

protected static enum JabberIqPrivacy.ITEM_TYPE extends Enum<JabberIqPrivacy.ITEM_TYPE>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `all`
  `group`
  `jid`
  `subscription`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JabberIqPrivacy.ITEM_TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JabberIqPrivacy.ITEM_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### jid

    public static final JabberIqPrivacy.ITEM_TYPE jid

  - ### group

    public static final JabberIqPrivacy.ITEM_TYPE group

  - ### subscription

    public static final JabberIqPrivacy.ITEM_TYPE subscription

  - ### all

    public static final JabberIqPrivacy.ITEM_TYPE all

- ## Method Details

  - ### values

    public static JabberIqPrivacy.ITEM_TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JabberIqPrivacy.ITEM_TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null